---

- hosts: tsdb
  gather_facts: true
  become: true
  remote_user: ansible
  environment:
    NETRC: ''
    http_proxy: "{{ lookup('env', 'http_proxy') }}"
    https_proxy: "{{ lookup('env', 'https_proxy') }}"
    no_proxy: "{{ lookup('env', 'no_proxy') }}"

  pre_tasks:
    - name: detect python3
      stat:
        path: /usr/bin/python3
      register: __stat_present_python3
      changed_when: not __stat_present_python3.stat.exists

    - name: set python3
      set_fact:
        ansible_python_interpreter: /usr/bin/python3
      when:
        - ansible_python.version.major == 2
        - __stat_present_python3.stat.exists

  roles:
    - role: memcached
    - role: go-carbon
    - role: docker
    - role: container
    - role: grafana
